## kcm-ufw 4.3.2

=== CMakeLists.txt ===
project(kcm_ufw)
cmake_minimum_required(VERSION 2.6.0)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "KDE4 GUI for uncomplicated-firewall")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "4")
set(CPACK_PACKAGE_VERSION_PATCH "3")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(KCM_UFW_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(KCM_UFW_VERSION_FULL "${KCM_UFW_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${KCM_UFW_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${KCM_UFW_VERSION_FULL}")
include(CPack)

find_package(KDE4 REQUIRED)
configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

add_subdirectory( helper )
add_subdirectory( kcm )

if (NOT UFW_TRANSLATIONS)
    set(UFW_TRANSLATIONS "all")
endif (NOT UFW_TRANSLATIONS)

foreach(trans ${UFW_TRANSLATIONS})
    if (trans STREQUAL "all")
        set(UFW_EN_TRANSLATION 1)
        set(UFW_ES_TRANSLATION 1)
        set(UFW_FR_TRANSLATION 1)
        set(UFW_LT_TRANSLATION 1)
    elseif (trans STREQUAL "en")
        set(UFW_EN_TRANSLATION 1)
    elseif (trans STREQUAL "es")
        set(UFW_ES_TRANSLATION 1)
    elseif (trans STREQUAL "fr")
        set(UFW_FR_TRANSLATION 1)
    elseif (trans STREQUAL "lt")
        set(UFW_LT_TRANSLATION 1)
    endif (trans STREQUAL "all")
endforeach(trans ${UFW_TRANSLATIONS})

add_subdirectory( docs )
add_subdirectory( po )

#kde4_install_icons( ${ICON_INSTALL_DIR} )

=== docs/CMakeLists.txt ===
if (UFW_EN_TRANSLATION)
    add_subdirectory(en)
endif (UFW_EN_TRANSLATION)

if (UFW_ES_TRANSLATION)
    add_subdirectory(es)
endif (UFW_ES_TRANSLATION)

=== po/CMakeLists.txt ===
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
if(NOT GETTEXT_MSGFMT_EXECUTABLE)
    message("------\n"
            "NOTE: msgfmt not found. Translations will *not* be installed\n"
            "------\n")
else(NOT GETTEXT_MSGFMT_EXECUTABLE)
    set(catalogname kcm_ufw)
    add_custom_target(translations ALL)
    
    if (UFW_ES_TRANSLATION)
        LIST(APPEND PO_FILES "${CMAKE_CURRENT_SOURCE_DIR}/es.po")
    endif (UFW_ES_TRANSLATION)

    if (UFW_FR_TRANSLATION)
        LIST(APPEND PO_FILES "${CMAKE_CURRENT_SOURCE_DIR}/fr.po")
    endif (UFW_FR_TRANSLATION)

    if (UFW_LT_TRANSLATION)
        LIST(APPEND PO_FILES "${CMAKE_CURRENT_SOURCE_DIR}/lt.po")
    endif (UFW_LT_TRANSLATION)

    # file(GLOB PO_FILES *.po)
    foreach(_poFile ${PO_FILES})
        get_filename_component(_poFileName ${_poFile} NAME)
        string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
        string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
        if(_langCode)
            get_filename_component(_lang ${_poFile} NAME_WE)
            set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
            add_custom_command(TARGET translations
                    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                    DEPENDS ${_poFile})
            install(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
        endif( _langCode )
    endforeach(_poFile ${PO_FILES})
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== docs/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR kcontrol/ufw)

# Jpegs not installed by above line???

install(FILES 
        example-1-general.jpg
        example-2-ssh.jpg
        example-3-dropbox1.jpg
        example-4-dropbox2.jpg
        example-5-samba.jpg
        example-5-samba-module.jpg
        example-6-ktorrent.jpg
        example-7-all-rules.jpg
        DESTINATION
        ${HTML_INSTALL_DIR}/es/kcontrol/ufw)

## kcm-ufw 0.4.3

=== debian/changelog ===
kcm-ufw (0.4.3-1) experimental; urgency=low

  * Initial release. (Closes: #761599)

 -- Shawn Sörbom <shawn@sorbom.com>  Sun, 09 Nov 2014 14:50:50 -0700

=== debian/control ===
Source: kcm-ufw
Section: kde
Priority: optional
Maintainer: Shawn Sörbom <shawn@sorbom.com>
Build-Depends: debhelper (>= 9), cmake, kdelibs5-dev, python-ufw
Standards-Version: 3.9.6
Homepage: http://kde-apps.org/content/show.php?content=137789
Vcs-Git: https://github.com/shsorbom/kcm-ufw-debian.git
Vcs-Browser: https://github.com/shsorbom/kcm-ufw-debian

Package: kcm-ufw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ufw, python, python-ufw, kdelibs-bin
Description: KDE Control Center module for the Uncomplicated Firewall
 This is a KDE control center module to configure and control the
 Uncomplicated Firewall.
 .
 The following features are supported:
  - Enable/disable firewall;
  - Configure firewall default settings;
  - Add, edit, and remove rules;
  - Re-order rules via drag'n'drop;
  - Import/export of rules;
  - Setting of some IP tables modules.
 .
 The module will appear under the "Network and Connectivity" category.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

=== debian/watch ===
version=3
http://craigd.wikispaces.com/ /file/detail/kcm_ufw-(\d\S+)\.tar\.(?:bz2|gz|xz)

## kcm-ufw 4.3.2

=== debian/changelog ===
kcm-ufw (4.3.2) qiana; urgency=low

  * Initial Qiana release

 -- Frédéric Gaudet <fred@linuxmint.com>  Thu, 03 Apr 2014 10:07:48 +0200

kcm-ufw (4.3.1) petra; urgency=low

  * Initial Petra Release

 -- Frédéric Gaudet <fred@linuxmint.com>  Wed, 18 Sep 2013 11:34:38 +0200

kcm-ufw (4.3.0) nadia; urgency=low

  * Initial release

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 23 Nov 2012 15:02:44 +0100

=== debian/control ===
Source: kcm-ufw
Section: admin
Priority: optional
Maintainer: Clément Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev
Standards-Version: 3.9.1
Homepage: http://craigd.wikispaces.com/

Package: kcm-ufw
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},python-ufw,python
Description: Configuration module for ufw firewall
 Configuration module for ufw firewall
